---
name: Feature Implementation
about: Template for implementing new features in Evolve
title: '[FEATURE] '
labels: enhancement
assignees: ''

---

## 📋 Overview
<!-- Brief description of the feature -->

## 🎯 Motivation
<!-- Why is this feature needed? What problem does it solve? -->

## 📐 Design Reference
<!-- Link to design documents -->
- Design Doc: `ai_docs/[relevant_doc].md`
- Related Issues: #

## 🔧 Implementation Plan

### Phase 1: [Component Name]
- [ ] Task 1
- [ ] Task 2
- [ ] Task 3

### Phase 2: [Integration]
- [ ] Task 4
- [ ] Task 5

## 💻 Code Examples
```python
# Example usage
@evolve(
    goal="...",
    # New feature usage here
)
def example():
    pass
```

## 🧪 Testing Requirements
- [ ] Unit tests for [component]
- [ ] Integration tests for [workflow]
- [ ] Performance benchmarks
- [ ] Documentation examples

## ✅ Acceptance Criteria
- [ ] Feature works as described
- [ ] All tests pass
- [ ] Documentation updated
- [ ] Backward compatibility maintained
- [ ] Performance targets met

## 📊 Success Metrics
<!-- How do we measure if this feature is successful? -->

## 🔗 Dependencies
- Depends on: #
- Blocks: #

## 📚 Additional Context
<!-- Any other relevant information -->
